/******************************************************************************
Project:		LCMeter
File:			key.h
Author:			Philipp Burch
Date:			01.03.2008
Description:	Header file for key.c.
******************************************************************************/

#ifndef __KEY_H__
#define __KEY_H__

#include <main.h>
#include <stdint.h>

#define KEY_ALL		(_BV(PIN_KEY_MPLUS) | _BV(PIN_KEY_MMINUS) | \
					 _BV(PIN_KEY_PLUS) | _BV(PIN_KEY_MINUS) | \
					 _BV(PIN_KEY_CAL) | \
					 _BV(PIN_KEY_MODE) | \
					 _BV(PIN_KEY_START))

#define KEY_RPT		(_BV(PIN_KEY_PLUS) | _BV(PIN_KEY_MINUS))

#define KEY_RPT_ST	250
#define KEY_RPT_NX	150


typedef enum {
	MENU_HOME = 0,
	MENU_SHOW_L,
	MENU_SHOW_C,
	MENU_SHOW_CREF,
	MENU_EDIT_CREF1,
	MENU_EDIT_CREF2,
	MENU_EDIT_CREF3,
	MENU_EDIT_CREF4,
	MENU_EDIT_CREF5,
	MENU_EDIT_CREF6
} menu_t;

//Prototypes
uint8_t key_update();
void key_process(uint8_t);
void key_update_menu();


#endif //__KEY_H__
