/******************************************************************************
Project:		LCMeter
File:			lc.h
Author:			Philipp Burch
Date:			29.02.2008
Description:	Header file for lc.c.
******************************************************************************/

#ifndef __LC_H__
#define __LC_H__

#include <main.h>
#include <stdint.h>

#define SQUARE(x)	((x) * (x))
#define PI2			6.28318530

typedef enum {
	MODE_L = 0,
	MODE_C,
	MODE_LC_F,
	MODE_LC_L,
	MODE_LC_C
} mode_t;


//Prototypes
void lc_init();
void lc_switch_mode();
void lc_calibrate(call_src_t);
void lc_measure(call_src_t);
void lc_cref_edit(int8_t);
void lc_show_home();
void lc_show_l();
void lc_show_c();
void lc_show_cref(bool);
void lc_get_frequency(call_src_t);


#endif //__LC_H__
