/******************************************************************************
Project:		...
File:			lcd.h
Author:			Philipp Burch
Date:			16.12.2006
Description:	Header file for lcd.c.
******************************************************************************/

#ifndef __LCD_H__
#define __LCD_H__

#include <stdint.h>
#include <avr/pgmspace.h>
#include <main.h>

//Defines

#define LCD_PDATA		PORTB
#define LCD_NIBBLE		0x0f
#define LCD_PCONTROL	PORTB
#define LCD_E			PB5
#define LCD_RS			PB4
#define LCD_PWRDELAY    0
#define LCD_2X8			1

//Prototypes

void lcd_init();
char *lcd_buffer();
void lcd_settext_P(const prog_char *);
void lcd_setcursor(uint8_t);
void lcd_cmd(uint8_t);
uint8_t lcd_data(uint8_t);
uint8_t lcd_putbyte(uint8_t);
void lcd_enable();
void lcd_cursorhome();
void lcd_setddram(uint8_t);
void lcd_update();
void lcd_printval(const prog_char *, float, const prog_char *, uint8_t);

#endif //__LCD_H__
